Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context
Interface ConfigurableWebApplicationContext

All Superinterfaces:
  ApplicationContext, ApplicationEventPublisher, BeanFactory, ConfigurableApplicationContext, EnvironmentCapable, HierarchicalBeanFactory, Lifecycle, ListableBeanFactory, MessageSource, ResourceLoader, ResourcePatternResolver, WebApplicationContext

All Known Implementing Classes:
  AbstractRefreshableWebApplicationContext, AnnotationConfigWebApplicationContext, GenericWebApplicationContext, StaticWebApplicationContext, XmlWebApplicationContext

    public interface ConfigurableWebApplicationContext

extends WebApplicationContext, ConfigurableApplicationContext

Interface to be implemented by configurable web application contexts. Supported by `ContextLoader` and `FrameworkServlet`.

Note: The setters of this interface need to be called before an invocation of the `ConfigurableApplicationContext.refresh()` method inherited from `ConfigurableApplicationContext`. They do not cause an initialization of the context on their own.

Since:
  05.12.2003
Author:
  Juergen Hoeller
See Also:
  `ConfigurableApplicationContext.refresh()`, `ContextLoader.createWebApplicationContext(javax.servlet.ServletContext)`, `FrameworkServlet.createWebApplicationContext(org.springframework.context.ApplicationContext)`

Field Summary
`static java.lang.String` | `APPLICATION_CONTEXT_ID_PREFIX` Prefix for ApplicationContext ids that refer to context path and/or servlet name.
`static java.lang.String` | `SERVLET_CONFIG_BEAN_NAME` Name of the ServletConfig environment bean in the factory.

Fields inherited from interface org.springframework.web.context.WebApplicationContext
`CONTEXT_ATTRIBUTES_BEAN_NAME, CONTEXT_PARAMETERS_BEAN_NAME, ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, SCOPE_APPLICATION, SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION, SERVLET_CONTEXT_BEAN_NAME`

Fields inherited from interface org.springframework.context.ConfigurableApplicationContext
`CONFIG_LOCATION_DELIMITERS, CONVERSION_SERVICE_BEAN_NAME, ENVIRONMENT_BEAN_NAME, LOAD_TIME_WEAVER_BEAN_NAME, SYSTEM_ENVIRONMENT_BEAN_NAME, SYSTEM_PROPERTIES_BEAN_NAME`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Method Summary
`java.lang.String[]` | `getConfigLocations()` Return the config locations for this web application context, or `null` if none specified.
`ConfigurableWebEnvironment` | `getEnvironment()` Return the `ConfigurableWebEnvironment` used by this web application context.
`java.lang.String` | `getNamespace()` Return the namespace for this web application context, if any.
`javax.servlet.ServletConfig` | `getServletConfig()` Return the ServletConfig for this web application context, if any.
`void` | `setConfigLocation(java.lang.String configLocation)` Set the config locations for this web application context in init-param style, i.e.
`void` | `setConfigLocations(java.lang.String[] configLocations)` Set the config locations for this web application context.
`void` | `setNamespace(java.lang.String namespace)` Set the namespace for this web application context, to be used for building a default context config location.
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Set the ServletConfig for this web application context.
`void` | `setServletContext(javax.servlet.ServletContext servletContext)` Set the ServletContext for this web application context.

Methods inherited from interface org.springframework.web.context.WebApplicationContext
`getServletContext`

Methods inherited from interface org.springframework.context.ConfigurableApplicationContext
`addApplicationListener, addBeanFactoryPostProcessor, close, getBeanFactory, isActive, refresh, registerShutdownHook, setEnvironment, setId, setParent`

Methods inherited from interface org.springframework.context.ApplicationContext
`getAutowireCapableBeanFactory, getDisplayName, getId, getParent, getStartupDate`

Methods inherited from interface org.springframework.beans.factory.ListableBeanFactory
`containsBeanDefinition, findAnnotationOnBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getBeansWithAnnotation`

Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory
`containsLocalBean, getParentBeanFactory`

Methods inherited from interface org.springframework.beans.factory.BeanFactory
`containsBean, getAliases, getBean, getBean, getBean, getBean, getType, isPrototype, isSingleton, isTypeMatch`

Methods inherited from interface org.springframework.context.MessageSource
`getMessage, getMessage, getMessage`

Methods inherited from interface org.springframework.context.ApplicationEventPublisher
`publishEvent`

Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`getResources`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Methods inherited from interface org.springframework.context.Lifecycle
`isRunning, start, stop`

Field Detail

### APPLICATION_CONTEXT_ID_PREFIX

    static final java.lang.String APPLICATION_CONTEXT_ID_PREFIX

  Prefix for ApplicationContext ids that refer to context path and/or servlet name.

### SERVLET_CONFIG_BEAN_NAME

    static final java.lang.String SERVLET_CONFIG_BEAN_NAME

  Name of the ServletConfig environment bean in the factory.

  See Also:
    `ServletConfig`, Constant Field Values

Method Detail

### setServletContext

    void setServletContext(javax.servlet.ServletContext servletContext)

  Set the ServletContext for this web application context.

  Does not cause an initialization of the context: refresh needs to be called after the setting of all configuration properties.

  See Also:
    `ConfigurableApplicationContext.refresh()`

### setServletConfig

    void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Set the ServletConfig for this web application context. Only called for a WebApplicationContext that belongs to a specific Servlet.

  See Also:
    `ConfigurableApplicationContext.refresh()`

### getServletConfig

    javax.servlet.ServletConfig getServletConfig()

  Return the ServletConfig for this web application context, if any.

### getEnvironment

    ConfigurableWebEnvironment getEnvironment()

  Return the `ConfigurableWebEnvironment` used by this web application context.

  Specified by:
    `getEnvironment` in interface `ConfigurableApplicationContext`
  Specified by:
    `getEnvironment` in interface `EnvironmentCapable`

### setNamespace

    void setNamespace(java.lang.String namespace)

  Set the namespace for this web application context, to be used for building a default context config location. The root web application context does not have a namespace.

### getNamespace

    java.lang.String getNamespace()

  Return the namespace for this web application context, if any.

### setConfigLocation

    void setConfigLocation(java.lang.String configLocation)

  Set the config locations for this web application context in init-param style, i.e. with distinct locations separated by commas, semicolons or whitespace.

  If not set, the implementation is supposed to use a default for the given namespace or the root web application context, as appropriate.

### setConfigLocations

    void setConfigLocations(java.lang.String[] configLocations)

  Set the config locations for this web application context.

  If not set, the implementation is supposed to use a default for the given namespace or the root web application context, as appropriate.

### getConfigLocations

    java.lang.String[] getConfigLocations()

  Return the config locations for this web application context, or `null` if none specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD